# Uses of Class
org.mariadb.jdbc.Connection

Packages that use Connection
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export
org.mariadb.jdbc.util.timeout

## Uses of Connection in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as Connection
Modifier and Type
Field
Description
`protected final Connection`
Statement.`con`
connection
Methods in org.mariadb.jdbc that return Connection
Modifier and Type
Method
Description
`Connection`
Driver.`connect(String url, Properties props)`
Connect to the given connection string.
`static Connection`
Driver.`connect(Configuration configuration)`
Connect according to configuration
`Connection`
DatabaseMetaData.`getConnection()`
`Connection`
MariaDbPoolConnection.`getConnection()`
`Connection`
Statement.`getConnection()`
Retrieves the `Connection` object that produced this `Statement` object.
Constructors in org.mariadb.jdbc with parameters of type Connection
Modifier
Constructor
Description
``
`BaseCallableStatement(String sql, Connection con, ClosableLock lock, String databaseName, String procedureName, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor
``
`BasePreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor
``
`ClientPreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Client prepare statement constructor
``
`DatabaseMetaData(Connection connection, Configuration conf)`
Constructor.
``
`FunctionStatement(Connection con, String databaseName, String procedureName, String arguments, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency)`
Constructor of function callable statement
``
`MariaDbPoolConnection(Connection connection)`
Constructor.
``
`MariaDbPoolPinnedConnection(Connection connection)`
Constructor.
``
`ProcedureStatement(Connection con, String sql, String databaseName, String procedureName, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency)`
Constructor
``
`ServerPreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Server prepare statement constructor
``
`Statement(Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor

## Uses of Connection in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export with parameters of type Connection
Modifier and Type
Method
Description
`ExceptionFactory`
ExceptionFactory.`setConnection(Connection connection)`
Set connection to factory
Constructors in org.mariadb.jdbc.export with parameters of type Connection
Modifier
Constructor
Description
``
`SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`
Constructor of Exception factory with SQL

## Uses of Connection in org.mariadb.jdbc.util.timeout

Constructors in org.mariadb.jdbc.util.timeout with parameters of type Connection
Modifier
Constructor
Description
``
`QueryTimeoutHandlerImpl(Connection conn, ClosableLock lock)`